"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Result;
(function (Result) {
    Result["success"] = "success";
    Result["failure"] = "failure";
    Result["running"] = "running";
    Result["queued"] = "queued";
    Result["paused"] = "paused";
    Result["unstable"] = "unstable";
    Result["aborted"] = "aborted";
    Result["not_built"] = "not_built";
    Result["skipped"] = "skipped";
    Result["unknown"] = "unknown";
})(Result = exports.Result || (exports.Result = {}));
function decodeResultValue(resultMaybe) {
    var lcase = String(resultMaybe).toLowerCase();
    for (var _i = 0, _a = Object.keys(Result); _i < _a.length; _i++) {
        var enumKey = _a[_i];
        var enumValue = Result[enumKey];
        if (enumKey.toLowerCase() === lcase || enumValue.toLowerCase() === lcase) {
            return enumValue;
        }
    }
    return Result.unknown;
}
exports.decodeResultValue = decodeResultValue;
exports.MATRIOSKA_PATHS = false;
// Dimensions used for layout, px
exports.defaultLayout = {
    nodeSpacingH: 120,
    parallelSpacingH: 120,
    nodeSpacingV: 70,
    nodeRadius: 12,
    terminalRadius: 7,
    curveRadius: 12,
    connectorStrokeWidth: 3.5,
    labelOffsetV: 20,
    smallLabelOffsetV: 15,
    ypStart: 55,
};
